Name:		perl-Net-CIDR
Version: 	0.13
Release:	2.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Net::CIDR
URL: 		http://search.cpan.org/~luismunoz/
Source0: 	Net-CIDR-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel gcc gcc-c++ perl
BuildArch:	noarch

%if 0%{?fedora_version} >= 7
BuildRequires:	perl-ExtUtils-MakeMaker
%endif

%description
The Net::CIDR perl module manipulates IPv4/IPv6 netblocks in CIDR notation



%prep
%setup -q -n Net-CIDR-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/CIDR.pm
%{_mandir}/man3/Net::CIDR.3pm*

%changelog
* Sun May 31 2009 Carsten Schoene <cs@linux-administrator.com> - 0.13
- initial build.
